Package com.collibra.dgc.core.api.dto.meta.complexrelation

# Class ComplexRelationAttributeTypeRequest

Object
ComplexRelationAttributeTypeRequest

All Implemented Interfaces:
  `Serializable`

public class ComplexRelationAttributeTypeRequest extends Object implements Serializable
The properties of the Complex Relation Attribute Type.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `ComplexRelationAttributeTypeRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ComplexRelationAttributeTypeRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ComplexRelationAttributeTypeRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getAttributeTypeId()`
  Required. The ID of the Attribute Type.
  `UUID`
  `getId()`
  The ID of the Complex Relation Attribute Type.
  `Integer`
  `getMax()`
  The maximum number of Attribute Type occurrences.
  `int`
  `getMin()`
  The minimum number of Attribute Type occurrences.
  `int`
  `hashCode()`
  `void`
  `setAttributeTypeId(UUID attributeTypeId)`
  Required. The ID of the Attribute Type.
  `void`
  `setId(UUID id)`
  The ID of the Complex Relation Attribute Type.
  `void`
  `setMax(Integer max)`
  The maximum number of Attribute Type occurrences.
  `void`
  `setMin(int min)`
  The minimum number of Attribute Type occurrences.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ComplexRelationAttributeTypeRequest

    public ComplexRelationAttributeTypeRequest()

- ## Method Details

  - ### builder

    public static ComplexRelationAttributeTypeRequest.Builder builder()

  - ### getMin

    public int getMin()
    The minimum number of Attribute Type occurrences.

  - ### getMax

    public Integer getMax()
    The maximum number of Attribute Type occurrences.

  - ### getAttributeTypeId

    public UUID getAttributeTypeId()
    Required. The ID of the Attribute Type.

  - ### getId

    public UUID getId()
    The ID of the Complex Relation Attribute Type. If specified, it will be used to create a new Complex Relation Attribute Type if none exists, or as id for the existing Complex Relation Attribute Type. If not specified, a random id will be generated and used to create a new Complex Relation Attribute Type if none exists, or as id for the existing Complex Relation Attribute Type.

  - ### setMin

    public void setMin(int min)
    The minimum number of Attribute Type occurrences.

  - ### setMax

    public void setMax(Integer max)
    The maximum number of Attribute Type occurrences.

  - ### setAttributeTypeId

    public void setAttributeTypeId(UUID attributeTypeId)
    Required. The ID of the Attribute Type.

  - ### setId

    public void setId(UUID id)
    The ID of the Complex Relation Attribute Type. If specified, it will be used to create a new Complex Relation Attribute Type if none exists, or as id for the existing Complex Relation Attribute Type. If not specified, a random id will be generated and used to create a new Complex Relation Attribute Type if none exists, or as id for the existing Complex Relation Attribute Type.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`